<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:java="http://xml.apache.org/xslt/java"
  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
  extension-element-prefixes="java util"
  exclude-result-prefixes="java util">
  
  <xsl:include href="style.xsl"/>
  <xsl:include href="classifiertools.xsl"/>
  
  <xsl:output method="html"/>  

  <xsl:template name="pageHead">
    <head>
      <title><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gsdl')"/></title>
    </head>
  </xsl:template>

  <xsl:template match="pageResponse">
    <xsl:variable name="collName"><xsl:value-of select="/page/pageRequest/paramList/param[@name='c']/@value"/></xsl:variable>
    <xsl:variable name="serviceName"><xsl:value-of select="service/@name"/></xsl:variable>
      <xsl:call-template name="standardPageBanner">
	<xsl:with-param name="collName" select="$collName"/>
      </xsl:call-template>
    <p/>
    <xsl:call-template name="navigationBar">
      <xsl:with-param name="collName" select="$collName"/>
    </xsl:call-template>      
    <p/>
      <xsl:apply-templates select="service/classifierList">
	<xsl:with-param name="collName" select="$collName"/>
	<xsl:with-param name="serviceName" select="$serviceName"/>
      </xsl:apply-templates>
      <p/>
      <xsl:apply-templates select="classifier">
	<xsl:with-param name="collName" select="$collName"/>
	<xsl:with-param name="serviceName" select="$serviceName"/>
      </xsl:apply-templates>
  </xsl:template>
  
  <xsl:template match="classifierList">
    <xsl:param name="collName"/>
    <xsl:param name="serviceName"/>
    <xsl:variable name="selected" select="/page/pageResponse/classifier/@name"/>
    <table width='100%'><tr>
	<xsl:for-each select="classifier">
	  <xsl:choose>
	    <xsl:when test="@name=$selected">
	      <td align='center'><font size="+1"><xsl:value-of select="displayItem[@name='name']"/></font></td>
	    </xsl:when>
	    <xsl:otherwise>
	      <td align='center'><a href="{$library_name}?a=b&amp;rt=r&amp;s={$serviceName}&amp;c={$collName}&amp;cl={@name}"><font size="+1"><xsl:value-of select="displayItem[@name='name']"/></font></a></td></xsl:otherwise></xsl:choose>
 	</xsl:for-each>
      </tr></table>
  </xsl:template>

</xsl:stylesheet>






